<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        #caja {
            border: 3px black solid;
            width: 800px;
            height: 700px;
            overflow: hidden;
        }

        #supermario {
            position: relative;
            top: 494px;
            left: 640px;
            z-index: -1;
        }

        #estrella {
            position: relative;
            top: 0px;
            left: 35px;
        }

        .disparo {
            animation: disparo 0.5s;
        }

        @keyframes disparo {
            50% {
                top: -500px;
            }

        }
    </style>
</head>

<body>
    <div class="container">
        <div id="caja">
            <div id="supermario">
                <img src="estrella.jpg" alt="estrella" id="estrella"><br>
                <img src="super mario.png" alt="mario" id="mario">
            </div>
        </div>
    </div>





    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).keydown(function (tecla) {
            console.log(tecla.keyCode)
            switch (tecla.keyCode) {
                case 37: //Izquierda
                    $('#supermario').animate({ left: "-=10px" }, 10);
                    break;

                case 39: //Derecha
                    $('#supermario').animate({ left: "+=10px" }, 10);
                    break;

                case 90: //Z
                    $('#estrella').animate({ top: "-=450px" }, 500);
                    $('#estrella').animate({ top: "+=450px" }, 500);
                    break;
            };
        });
    </script>
</body>

</html>